SYSTEMD-UDEVD.SERVICE(8)

NAME
udevd - Device event managing daemon

SYNOPSIS

/lib/udev/udevd [--daemon] [--debug] [--children-max=] [--exec-delay=] [--resolve-names=early|late|never] [--version] [--help]

DESCRIPTION

udevd listens to kernel uevents. For every event, udevd executes matching instructions specified in udev rules. See udev(7).

The behavior of the running daemon can be changed with udevadm control.

OPTIONS

--daemon
    Detach and run in the background.

--debug
    Print debug messages to stderr.

--children-max=
    Limit the number of events executed in parallel.

--exec-delay=
    Delay the execution of RUN instruction by the given number of seconds. This option might be useful when debugging system crashes during coldplug caused by loading non-working kernel modules.

--resolve-names=
    Specify when udevd should resolve names of users and groups. When set to early (the default) names will be resolved when the rules are parsed. When set to late names will be resolved for every event. When set to never names will never be resolved and all devices will be owned by root.

--version
    Print version number.

--help
    Print help text.

ENVIRONMENT

$UDEV_LOG=
    Set the logging priority.

KERNEL COMMAND LINE

Parameters starting with "rd." will be read when udevd is used in an initrd.

udev.log-priority=, rd.udev.log-priority=
    Set the logging priority.

udev.children-max=, rd.udev.children-max=
    Limit the number of events executed in parallel.

udev.exec-delay=, rd.udev.exec-delay=
    Delay the execution of RUN instruction by the given number of seconds. This option might be useful when debugging system crashes during coldplug caused by loading non-working kernel modules.

net.ifnames=
    Network interfaces are renamed to give them predictable names when possible. It is enabled by default, specifying 0 disables it.

CONFIGURATION FILE

udev expects its main configuration file at /etc/udev/udev.conf. It consists of a set of variables allowing the user to override default udev values. All empty lines or lines beginning with '#' are ignored. The following variables can be set:

udev_log
    The logging priority. Valid values are the numerical syslog priorities or their textual representations: err, info and debug.

SEE ALSO

udev(7), udevadm(8)